Author Topic: Probleme avec Java  (Read 4344 times)

0 Members and 2 Guests are viewing this topic.

Offline fimajouma

  • VIP
  • Newbie
  • *
  • Posts: 4
    • View Profile
Probleme avec Java
« on: September 20, 2012, 09:27:43 »
  Bonjour

    Si je post au mauvais endroit, merci de me corriger.

    Pour aller dans les archives du Morbihan, il me faut un plugin Java 1.5 minimum.
J'ai donc installé Icetea6-plugin à partir de Synaptic. Tout c'est bien passé, il apparait dans les plugins d'Iceweasel.

   Je vais dans les Archives du Morbihan, une fenetre Warning - Security s'ouvre, je clique sur Run, et la roue tourne pendant un moment, puis me demande de me reconnecter, aurais-je rater quelque chose?

   Merci de me renseigner, j'ai toujours la possibilite d'utiliser Windows mais j'aimerais autant avoir tout sur le meme PC

   Cordialement
Dieu seul sait tout, mais il n'est pas bavard.

Offline yannig

  • VIP
  • Sr. Member
  • *
  • Posts: 35
  • Yannick VOYEAUD
    • View Profile
    • Généalogie et histoire
Re: Probleme avec Java
« Reply #1 on: October 03, 2012, 18:28:52 »
Bonsoir,

Quel OS?

Amitiés
Yannick VOYEAUD
http://voyeaud.org

Offline Chris51

  • Administrator
  • Full Member
  • *****
  • Posts: 22
  • On est tous cousins !
    • View Profile
Re: Probleme avec Java
« Reply #2 on: October 16, 2012, 17:24:55 »
Bonjour,

Ce problème est-il résolu (bien que ne dépendant pas du tout d'Ancestris...)


Offline lemovice

  • VIP
  • Jr. Member
  • *
  • Posts: 9
    • View Profile
Re : Probleme avec Java
« Reply #3 on: October 16, 2012, 19:34:04 »
Bonsoir,

 cela m'étonnerais, le problème ne vient pas de la version de linux utilisée, mais du site des archives du Morbihan, j'ai le même pb avec ma fedora alors que oracle me dit que mon plugin java est ok.

La solution serait d'installer la version oracle de java au lieu de la version openjdk, mais c'est sans garantie je n'ai pas fait le test



Offline Chris51

  • Administrator
  • Full Member
  • *****
  • Posts: 22
  • On est tous cousins !
    • View Profile
Re : Probleme avec Java
« Reply #4 on: October 16, 2012, 21:08:31 »
Oui effectivement, je viens de tester : jolie roue étoilée qui tourne et.... rien !

Offline Patrick_T

  • VIP
  • Full Member
  • *
  • Posts: 15
    • View Profile
Re : Probleme avec Java
« Reply #5 on: October 16, 2012, 21:13:48 »
Bonsoir,

J'ai testé également, sous Linux 3.0.0-24 puis openjdk6 et ensuite openjdk7 et j'ai la même chose...

Par contre ça fonctionne sous Windows XP et java 7 (build 1.7.0_09-b05) dans VirtualBox.

Patrick
« Last Edit: October 16, 2012, 21:18:36 by Patrick_T »
Ancestris 0.9 - Linux - Java 1.8

Offline Chris51

  • Administrator
  • Full Member
  • *****
  • Posts: 22
  • On est tous cousins !
    • View Profile
Re : Probleme avec Java
« Reply #6 on: October 16, 2012, 21:15:04 »
Ca sent l'incompatibilité OpenJDK....  >:(

Offline Patrick_T

  • VIP
  • Full Member
  • *
  • Posts: 15
    • View Profile
Re : Probleme avec Java
« Reply #7 on: October 19, 2012, 09:22:40 »
Bonjour,
J'ai soumis le problème aux responsables et voilà ce que m'a répondu le Conseil Général du 56. Je n'ai pas testé, mais certains peuvent être intéressé par la solution proposée...

La copie du mail du CG56:

Bonjour,
Voici une solution possible avec le navigateur Firefox.
Ne manquez pas de nous tenir au courant.

Deux possibilités (32 ou 64 bits) :

1) Ubuntu 64 bits
Créer un répertoire pour les plugins de Firefox s'il n'existe pas.
$ mkdir .mozilla/plugins
Télécharger le fichier jre-6u30-linux-x64.bin sur http://java.com/fr/download/linux_manual.jsp?locale=fr
Copier ce fichier dans le répertoire /opt
$ cd /opt/
$ sudo chmod +x jre-6u30-linux-x64.bin
$ sudo ./jre-6u29-linux-x64.bin
$ rm ./jre-6u29-linux-x64.bin
Dans la ligne qui suit, remplacer User par le login de l'utilisateur
$ ln -fs /opt/jre1.6.0_29/plugin/i386/ns7/libnpjp2.so /home/User/mozilla/plugins/
$ sudo update-alternatives --install /usr/bin/java java /usr/local/jdk1.7.0/bin/java 1
$ sudo update-alternatives --config java

2) Ubuntu 32 bits
Créer un répertoire pour les plugins de Firefox s'il n'existe pas.
$ mkdir .mozilla/plugins
Télécharger le fichier jre-6u30-linux-i586.bin sur http://java.com/fr/download/linux_manual.jsp?locale=fr
Copier ce fichier dans le répertoire /opt
$ cd /opt/
$ sudo chmod +x jre-6u30-linux-i586.bin
$ sudo ./jre-6u29-linux-i586.bin
$ rm ./jre-6u29-linux-i586.bin
Dans la ligne qui suit, remplacer User par le login de l'utilisateur
$ ln -sf /opt/jre1.6.0_29/lib/amd64/libnpjp2.so /home/User/mozilla/plugins
$ sudo update-alternatives --install /usr/bin/java java /usr/local/jdk1.7.0/bin/java 1
$ sudo update-alternatives --config java
Ancestris 0.9 - Linux - Java 1.8

Offline Chris51

  • Administrator
  • Full Member
  • *****
  • Posts: 22
  • On est tous cousins !
    • View Profile
Re: Probleme avec Java
« Reply #8 on: October 19, 2012, 10:08:01 »
Ce qui n'est pas très normal c'est que si les gars du CG56 sont aussi calés, ils pourraient plutôt faire en sorte que leur site accepte openjdk...
En gros c'est à l'utilisateur final de corriger leur problème...

Envoyé depuis mon Optimus 2X avec Tapatalk


Offline yannig

  • VIP
  • Sr. Member
  • *
  • Posts: 35
  • Yannick VOYEAUD
    • View Profile
    • Généalogie et histoire
Re: Probleme avec Java
« Reply #9 on: October 19, 2012, 20:49:19 »
Bonsoir,

Allez voir ce tuto que j'ai fait et mis sur le site de l'ALDIL (Lyon)
http://aldil.org/Documentation/how-to/lire-des-sites-webs-recalcitrants-car-utilisant-flash

Vous aurez probablement votre réponse.

Amitiés
Yannick VOYEAUD
http://voyeaud.org

Offline Patrick_T

  • VIP
  • Full Member
  • *
  • Posts: 15
    • View Profile
Re : Probleme avec Java
« Reply #10 on: October 22, 2012, 20:50:37 »
Bonsoir à tous,

Hé bien voilà, j'ai fait l'essai avec Java 1.7.0_09-b05 et ça fonctionne. (Penser à installer et activer le plugin Java dans le navigateur)

Cordialement.

Patrick_T
Ancestris 0.9 - Linux - Java 1.8

Offline oops66

  • VIP
  • Sr. Member
  • *
  • Posts: 69
    • View Profile
Re: Probleme avec Java
« Reply #11 on: April 03, 2014, 22:17:36 »
Ce qui n'est pas très normal c'est que si les gars du CG56 sont aussi calés, ils pourraient plutôt faire en sorte que leur site accepte openjdk...
En gros c'est à l'utilisateur final de corriger leur problème...

Envoyé depuis mon Optimus 2X avec Tapatalk
+1 exact et bien dit ;-)

Sinon, est-ce toujours d'actualité pour ancestris v0.8b (via Ubuntu 12.04) car chez moi ça à l'air de fonctionner correctement avec openjdk 7 ?
http://www.ancestris.org/wiki/index.php?title=Ancestris_-_Pr%C3%A9requis#Ubuntu

"...Si vous voyez que les paquets concernant le "openjdk" sont cochés, décochez les et choisissez de les désinstaller, car ils fonctionnent nettement moins bien que les paquets originaux de Sun..."
« Last Edit: April 03, 2014, 22:39:37 by oops66 »

Online arvernes

  • Administrator
  • Hero Member
  • *****
  • Posts: 355
  • Pep den a dle heuilh e Donkadur
    • View Profile
    • Arvernes web site
Re : Probleme avec Java
« Reply #12 on: April 04, 2014, 11:30:55 »
Bonjour,
Aucune idée. Moi je fais toujours tourner une version Ubuntu 10.04 (je ne veux pas m'en séparer tellement elle marche bien ;-) ). Sinon, si vous voyez des choses à corriger dans le wiki, ne pas hésiter à s'inscrire et à faire les modifs nécessaires.

Le wiki par contre auquel vous faites référence, sera fermé, car le wiki spécifique français va prendre le relais. Donc si des choses doivent être faites, c'est préférable sur ce site "fr.ancestris.org" que sur l'autre. Nous avions du à l'origine tout transférer les wikis en urgence du site Arvernes vers OVH, car le serveur tombait en rade. Depuis nous avons créé des wikis spécifiques à chaque langage, et bien sur un site en français. On a souhaité que les wiki soient plus "légers", et que la documentation soit regroupée dans un fichier d'aide que fait Jeannot. Rien n'empêche cependant de créer des pages supplémentaires si le besoin s'en fait sentir, mais on essaie au maximum que tous les wikis aient la même structure. a bientot, Francois
Met ’drokfen ket evit teñzorioù va Frankiz !

Offline oops66

  • VIP
  • Sr. Member
  • *
  • Posts: 69
    • View Profile
Re : Probleme avec Java
« Reply #13 on: April 04, 2014, 17:08:41 »
Bonjour et merci pour le "feed back" ... C'est vrai j'aimais bien la version Ubuntu 10.04 LTS aussi ... j'ai eu du mal à la quitter aussi ;-) à cause d'unity  ... sinon bravo, vous faites un bon boulot ... je participerai au WiKi lorsque je me serai un peu plus familiarisé à Ancestris v0.8 (c'est assez touffu ;-) et "customisable") et comme je suis "newbe" et que la v0.8 est encore au stade beta, j'ai du mal a discerner le bon fonctionnement ou non des multiples fonctionnalités ;-)